Subject: Re: git-p4 out of memory for very large repository

From: Luke Diamand <[email-masked]>
Date: Fri, 23 Aug 2013 20:42:44 +0100

I think I've cloned files as large as that or larger. If you just want to
clone this and move on, perhaps you just need a bit more memory? What's the
size of your physical memory and swap partition? Per process memory limit?

On 23 Aug 2013 12:59, "Corey Thompson" <[email-masked]> wrote:
On 23/08/13 12:59, Corey Thompson wrote:
> On Fri, Aug 23, 2013 at 07:48:56AM -0400, Corey Thompson wrote:
>> Sorry, I guess I could have included more details in my original post.
>> Since then, I have also made an attempt to clone another (slightly more
>> recent) branch, and at last had success.  So I see this does indeed
>> work, it just seems to be very unhappy with one particular branch.
>>
>> So, here are a few statistics I collected on the two branches.
>>
>> branch-that-fails:
>> total workspace disk usage (current head): 12GB
>> 68 files over 20MB
>> largest three being about 118MB
>>
>> branch-that-clones:
>> total workspace disk usage (current head): 11GB
>> 22 files over 20MB
>> largest three being about 80MB
>>
>> I suspect that part of the problem here might be that my company likes
>> to submit very large binaries into our repo (.tar.gzs, pre-compiled
>> third party binaries, etc.).
>>
>> Is there any way I can clone this in pieces?  The best I've come up with
>> is to clone only up to a change number just before it tends to fail, and
>> then rebase to the latest.  My clone succeeded, but the rebase still
>> runs out of memory.  It would be great if I could specify a change
>> number to rebase up to, so that I can just take this thing a few hundred
>> changes at a time.
>>
>> Thanks,
>> Corey
> 
> And I still haven't told you anything about my platform or git
> version...
> 
> This is on Fedora Core 11, with git 1.8.3.4 built from the github repo
> (117eea7e).